aboutsummaryrefslogtreecommitdiff
path: root/paludis/resolver/resolver_TEST_any_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/resolver/resolver_TEST_any_setup.sh')
-rwxr-xr-xpaludis/resolver/resolver_TEST_any_setup.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/paludis/resolver/resolver_TEST_any_setup.sh b/paludis/resolver/resolver_TEST_any_setup.sh
index 5630934..92bfb12 100755
--- a/paludis/resolver/resolver_TEST_any_setup.sh
+++ b/paludis/resolver/resolver_TEST_any_setup.sh
@@ -176,5 +176,26 @@ SLOT="0"
DEPENDENCIES=""
END
+# no-active-labels
+echo 'no-active-labels' >> metadata/categories.conf
+
+mkdir -p 'packages/no-active-labels/target'
+cat <<END > packages/no-active-labels/target/target-1.exheres-0
+SUMMARY="target"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES="
+ test-expensive: || ( no-active-labels/dep no-active-labels/dep )
+ "
+END
+
+mkdir -p 'packages/no-active-labels/dep'
+cat <<END > packages/no-active-labels/dep/dep-1.exheres-0
+SUMMARY="dep"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES=""
+END
+
cd ..